#ifndef _SMPLDLG_H
#define _SMPLDLG_H

#include <owl.h>
#include <hierlb.h>
#include <dial.h>
#include <numedit.h>
#include <demorc.h>
#include <pctbar.h>

_CLASSDEF (TSampleDialog)

class TSampleDialog : public TDialog
{
private:
	PTHierarchialListBox	AHierarchialListBox;
	PTDial					ARevenueDial;
	PTDial					AnExpenseDial;
	PTNumericEdit			ARevenuePercent;
	PTNumericEdit			AnExpensePercent;
	PTNumericEdit			ARevenueTotal;
	PTNumericEdit			AnExpenseTotal;
	PTPercentBar			APercentBar;
	HBRUSH					hBackgroundBrush;

protected:
	virtual void SetupWindow();

	virtual void WMVScroll (RTMessage msg) = [ WM_FIRST + WM_VSCROLL ];
	virtual void WMCtlColor (RTMessage msg) = [ WM_FIRST + WM_CTLCOLOR ];
	virtual void cmdRevenue (RTMessage msg) = [ ID_FIRST + ID_REVENUE ];
	virtual void cmdExpense (RTMessage msg) = [ ID_FIRST + ID_EXPENSE ];

public:
	TSampleDialog (PTWindowsObject AParent);
	~TSampleDialog ();
};

#endif
